# TODO: use linux tarball when kernel 3.1 is released
%define	rel	16
%define	snap	20110726
Summary:	Native Linux KVM tool
Summary(pl.UTF-8):	Natywne narzędzie KVM dla Linuksa
Name:		linux-kvm
Version:	3.1
Release:	0.%{snap}.%{rel}
License:	GPL v2
Group:		Applications/System
# git://github.com/penberg/linux-kvm.git
Source0:	%{name}-%{version}-%{snap}.tar.bz2
# Source0-md5:	b0b94a75d915f70ae14a089ddc7d7abb
Patch0:		fix-types.patch
BuildRequires:	binutils-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The goal of this tool is to provide a clean, from-scratch, lightweight
KVM host tool implementation that can boot Linux guest images (just a
hobby, won't be big and professional like QEMU) with no BIOS
dependencies and with only the minimal amount of legacy device
emulation.

%description -l pl.UTF-8
Celem tego narzędzia jest dostarczenie czystej, lekkiej, napisanej od
zera implementacji hosta KVM, potrafiącego uruchamiać obrazy gościa
Linuksa (tylko hobby, nie będzie duża i profesjonalna jak QEMU) bez
zależności oD BIOS-u i z minimalną emulacją tradycyjnych urządzeń.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%{__make} -C tools/kvm \
	CC="%{__cc} %{rpmcppflags} %{rpmcflags} %{rpmldflags}" \
	WERROR=0 \
	V=1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir}

install tools/kvm/kvm $RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc tools/kvm/Documentation/* tools/kvm/README
%attr(755,root,root) %{_sbindir}/kvm
%changelog
* Thu Nov 21 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/linux-kvm.git;a=log;h=master

* Tue Nov 19 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 65e66a1
- release 16 (by relup.sh)

* Wed Jun 05 2019 Jan Rękorajski <baggins@pld-linux.org> b19e699
- release 15 (by relup.sh)

* Mon Jul 23 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 112f7f6
- release 14 (by relup.sh)

* Sun Jul 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> cdb457c
- release 13 (by relup.sh)

* Mon Feb 26 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 18b3b0c
- release 12 (by relup.sh)

* Tue Oct 24 2017 Jan Rękorajski <baggins@pld-linux.org> 7932e5d
- rebuild with binutils 2.29
- release 11 (by relup.sh)

* Tue Jun 06 2017 Jakub Bogusz <qboosh@pld-linux.org> 81b622b
- pl, release 10 (rebuild with binutils 2.28)

* Mon Mar 13 2017 Jan Rękorajski <baggins@pld-linux.org> b9e70b5
- fix build
- rel 9

* Sat Mar 11 2017 Jan Rękorajski <baggins@pld-linux.org> 8375b6d
- release 8 (by relup.sh)

* Thu Jun 14 2012 Paweł Sikora <pluto@pld-linux.org> 61256eb
- binutils soname changed
- release 7

* Tue May 08 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> efbf5af
- release 6

* Thu Apr 26 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0bcd916
- release 5

* Wed Feb 01 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 5d658b9
- release 4

* Sun Nov 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9e04882
- release 3

* Thu Oct 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 3458cc3
- rel 2

* Tue Jul 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 1f36655
- BR binutils-devel

* Tue Jul 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d02aea8
- initial

